# Interface MessagePolicy.Target

Enclosing class:
  `MessagePolicy`

public static interface MessagePolicy.Target
Defines how to extract target information from a message for policy evaluation. A target determines which messages are subject to a particular `TargetPolicy`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `get(MessageInfo messageInfo)`
  Retrieves the target value from the given message.
  `void`
  `put(MessageInfo messageInfo, Object data)`
  Stores the target value in the given message.
  `void`
  `remove(MessageInfo messageInfo)`
  Removes the target value from the given message.

- ## Method Details

  - ### get

    Object get(MessageInfo messageInfo)
    Retrieves the target value from the given message.
    Parameters:
      `messageInfo` - the message containing the target information
    Returns:
      the target value extracted from the message

  - ### remove

    void remove(MessageInfo messageInfo)
    Removes the target value from the given message.
    Parameters:
      `messageInfo` - the message from which to remove the target

  - ### put

    void put(MessageInfo messageInfo, Object data)
    Stores the target value in the given message.
    Parameters:
      `messageInfo` - the message in which to store the target
      `data` - the target value to store